/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/apljobsconsideredfor.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/apljobsconsideredfor.xml',
'<View title="Jobs considered for" defaultFormHandler="xxas_applicant_pkg.save_application_form">

  <CreateFields>
    <TextInput id="VACANCY_NAME" label="Vacancy"/>
    <TextInput id="ORGANIZATION_NAME" label="Organization"/>
    <TextInput id="LAST_UPDATED_DATE" label="Last Updated"/>
    <TextInput id="CURRENT_CONSIDERATION" label="Current Consideration"/>		
  </CreateFields>
	
	<EditFields>
		<Combolist id="ESTABLISHMENT" label="{message.XXAS_EMP_SCHOOL}" enabled="true" required="true" listProvider="VALUE_SET_NAME:Applaud Qualification Establishments" allowNewValues="true"/>
  </EditFields>		

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/apljobsconsideredfor.xml');
END;
/
COMMIT;
EXIT;
